members.dev
Docs
Credit notes

Create Credit Note

Creates a Credit Note

POST
/v1/credit-notes

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.members.dev/v1/credit-notes" \  -H "Content-Type: application/json" \  -d '{    "member_id": "string",    "lines": [      {        "description": "string",        "quantity": 0,        "unit_amount": 0      }    ]  }'
{
  "id": "string",
  "credit_note_number": "CN-12",
  "member_id": "string",
  "currency": "string",
  "amount": 0,
  "allocated_amount": 0,
  "remaining_amount": 0,
  "status": "open",
  "lines": [
    {
      "id": "string",
      "subscription_billing_period_id": "string",
      "subscription_id": "string",
      "description": "string",
      "quantity": 0,
      "unit_amount": 0,
      "amount": 0,
      "sort_order": 0,
      "created_at": null,
      "updated_at": null
    }
  ],
  "allocations": [
    {
      "id": "string",
      "amount": 0,
      "currency": "str",
      "type": "invoice_application",
      "invoice_id": "string",
      "created_at": null,
      "updated_at": null
    }
  ],
  "created_at": null,
  "updated_at": null
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}